Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PlayerID Struct Reference

Player Identifier. More...

`#include <NetworkTypes.h>`

List of all members.

## Public Member Functions
PlayerID & | operator= (const PlayerID &input)
## Public Attributes
unsigned long | binaryAddress
unsigned short | port
## Friends
int | operator== (const PlayerID &left, const PlayerID &right)
int | operator!= (const PlayerID &left, const PlayerID &right)
int | operator> (const PlayerID &left, const PlayerID &right)
int | operator< (const PlayerID &left, const PlayerID &right)

## Detailed Description

Player Identifier.

This define a Player Unique Identifier. In fact, it corresponds to the peer address.

## Member Function Documentation

PlayerID& PlayerID::operator= | ( | const PlayerID & | input | ) | `[inline]`

  | Copy operator Parameters:
  | input | a player ID
Returns: a reference to the current object

## Friends And Related Function Documentation

int operator!= | ( | const PlayerID & | left,
|  | const PlayerID & | right
| ) | `[friend]`

  | Test if two Player Unique Identifier differs Parameters:
  | left | a Player Unique Identifier
  | right | a Player Unique Identifier
Returns: 0 if left and right corresponds to the same player 1 otherwise

int operator< | ( | const PlayerID & | left,
|  | const PlayerID & | right
| ) | `[friend]`

  | Test if left is lesser than right Parameters:
  | left | a Player Unique Identifier
  | right | a Player Unique Identifier
Returns: 1 if left is lesser than right, 0 otherwise

int operator== | ( | const PlayerID & | left,
|  | const PlayerID & | right
| ) | `[friend]`

  | Test if two Player Unique Identifier are the same Parameters:
  | left | a Player Unique Identifier
  | right | a Player Unique Identifier
Returns: 1 if left and right corresponds to the same player 0 otherwise

int operator> | ( | const PlayerID & | left,
|  | const PlayerID & | right
| ) | `[friend]`

  | Test if left is greater than right Parameters:
  | left | a Player Unique Identifier
  | right | a Player Unique Identifier
Returns: 1 if left is greater than right, 0 otherwise

## Member Data Documentation

unsigned long PlayerID::binaryAddress

| The peer address from inet_addr.

unsigned short PlayerID::port

| The port number associated to the connexion.

The documentation for this struct was generated from the following file:

- Projects/raknet/include/raknet/NetworkTypes.h